Subject: bug#64351: closed (Re: bug#64351: probabe bug associated with“completion-regexp-list”)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Jul 2023 06:19:03 +0000

Your bug report

#64351: probabe bug associated with “completion-regexp-list”

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64351: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64351
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64351: probabe bug associated with “completion-regexp-list”
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 02 Jul 2023 09:18:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 01 Jul 2023 10:19:50 -0400
> 
> > Would you mind telling more about valid uses of this?
> > I'd like to improve the documentation.
> 
> Here's what I know: `completion-regexp-list` used to be virtually unused
> in Emacs's code base, so I don't know what was its intended use.
> 
> But when completion UIs started to offer other styles than just
> prefix-based completion, they also started to use
> `try/all/test-completion` more "internally" (i.e. for intermediate
> computations rather than to compute the final list of completions
> displayed to the user) and they did it without paying attention to
> `completion-regexp-list`, i.e. in ways which tended to just misbehave
> when `completion-regexp-list` wasn't nil.
> 
> So, in practice nowadays, the only reliable way to use
> `completion-regexp-list` is to think of it as an optional argument to
> `try/all/test-completion`, but one that has to be provided via a nearby
> let-binding rather than by listing it explicitly at the call site.

Thanks, I added something along these lines to the documentation.

> > You are saying that you don't like my proposed patch for the emacs-29
> > branch, and would even prefer to leave it unfixed?
> 
> Your patch is harmless, IMO, so it's OK to install it.

Installed on the emacs-29 branch, and closing the bug.

Subject: probabe bug associated with “completion-regexp-list”
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 29 Jun 2023 18:53:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Evaluate this:

    (setq completion-regexp-list '("^[^-]"))

Then type “C-h v -l TAB”, an error will be thrown.

--
shynur